%{!?__python2:        %define __python2 /usr/bin/python2.6}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define __os_install_post %{__multiple_python_os_install_post}
%define __python_provides %{__multiple_python_provides}
%define __python_requires %{__multiple_python_requires}

%define modn   sure
%define modv   1.2.9


Summary:       A testing library for Python
Name:          python26-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPLv3+
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/s/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-1.2.9-build.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Gabriel Falcao <gabriel@nacaolivre.org>
Provides:      python(%{modn}) = %{modv}
Requires:      python26-mock >= 1.0.1
Requires:      python26-six >= 1.3.0
BuildRequires: python26-devel python26-setuptools
BuildRequires: python26-mock >= 1.0.1
BuildRequires: python26-nose >= 1.3.0
BuildRequires: python26-six >= 1.3.0
BuildArch:     noarch


%description
Sure is a testing library for Python with powerful and flexible assertions.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
%{__python2} setup.py test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README.rst
%{python2_sitelib}/%{modn}
%{python2_sitelib}/*.egg-info


%changelog
* Fri Feb 27 2015 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.9-1
- Initial build
